clan::PointSetMath Class Reference - ClanLib SDK
Description: clan::PointSetMath Class Reference

Static Public Member Functions | List of all members
clan::PointSetMath Class Reference
clanCore Math

Math operations related to point sets. More...

`#include <pointset_math.h>`

## Static Public Member Functions
static Rect | bounding_box (const std::vector< Pointf > &points)
static void | calculate_minimum_enclosing_disc (Circlef &smalldisc, const std::vector< Pointf > &points, int start, int end)
static std::vector< Pointf > | convex_hull_from_polygon (std::vector< Pointf > &points)
| Return the convex hull of the given set of points.
static void | minimum_disc_with_1point (Circlef &smalldisc, const std::vector< Pointf > &points, int start, unsigned int i)
static void | minimum_disc_with_2points (Circlef &smalldisc, const std::vector< Pointf > &points, int start, unsigned int i, unsigned int j)
static void | minimum_disc_with_3points (Circlef &smalldisc, const std::vector< Pointf > &points, unsigned int i, unsigned int j, unsigned int k)
static Circlef | minimum_enclosing_disc (const std::vector< Pointf > &points)
| Find minimum spanning circle for the set of points.

## Detailed Description

Math operations related to point sets.

## Member Function Documentation

## ◆ bounding_box()

static Rect clan::PointSetMath::bounding_box | ( | const std::vector< Pointf > & | points | ) |
| static

## ◆ calculate_minimum_enclosing_disc()

static void clan::PointSetMath::calculate_minimum_enclosing_disc | ( | Circlef & | smalldisc,
|  | const std::vector< Pointf > & | points,
|  | int | start,
|  | int | end )
| static

## ◆ convex_hull_from_polygon()

static std::vector< Pointf > clan::PointSetMath::convex_hull_from_polygon | ( | std::vector< Pointf > & | points | ) |
| static

Return the convex hull of the given set of points.

Parameters

  points | the set of points

## ◆ minimum_disc_with_1point()

static void clan::PointSetMath::minimum_disc_with_1point | ( | Circlef & | smalldisc,
|  | const std::vector< Pointf > & | points,
|  | int | start,
|  | unsigned int | i )
| static

## ◆ minimum_disc_with_2points()

static void clan::PointSetMath::minimum_disc_with_2points | ( | Circlef & | smalldisc,
|  | const std::vector< Pointf > & | points,
|  | int | start,
|  | unsigned int | i,
|  | unsigned int | j )
| static

## ◆ minimum_disc_with_3points()

static void clan::PointSetMath::minimum_disc_with_3points | ( | Circlef & | smalldisc,
|  | const std::vector< Pointf > & | points,
|  | unsigned int | i,
|  | unsigned int | j,
|  | unsigned int | k )
| static

## ◆ minimum_enclosing_disc()

static Circlef clan::PointSetMath::minimum_enclosing_disc | ( | const std::vector< Pointf > & | points | ) |
| static

Find minimum spanning circle for the set of points.

Parameters

  points | the points to calulate on

The documentation for this class was generated from the following file:

- pointset_math.h